package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrVersion;
    import com.docus.server.dto.segmentation.ocrversion.AddOcrVersionDTO;
    import com.docus.server.dto.segmentation.ocrversion.EditOcrVersionDTO;
    import com.docus.server.dto.segmentation.ocrversion.DeleteOcrVersionDTO;
import com.docus.server.vo.segmentation.ocrversion.OcrVersionVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 正式数据版本号管理 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrVersionConvert {

    OcrVersionConvert INSTANCE = Mappers.getMapper(OcrVersionConvert.class);

    @Mappings({})
    OcrVersion convertDO(AddOcrVersionDTO addOcrVersionDTO);

    @Mappings({})
    OcrVersion convertDO(EditOcrVersionDTO editOcrVersionDTO);

    @Mappings({})
    List<OcrVersion> convertAddDOList(List<AddOcrVersionDTO> addOcrVersionDTO);

    @Mappings({})
    List<OcrVersion> convertEditDOList(List<EditOcrVersionDTO> editOcrVersionDTO);

    @Mappings({})
    OcrVersionVO convertVO(OcrVersion ocrVersion);

    @Mappings({})
    List<OcrVersionVO> convertVO(List<OcrVersion> ocrVersionList);

    @Mappings({})
    PageResult<OcrVersionVO> convertVO(PageResult<OcrVersion> pageResult);
}

